import React from 'react';
import E from 'wangeditor'

/**
 *
 *
 * @param {*} props
 * @returns
 */
class Wangedit extends React.Component {
  constructor(props, context) {
    super(props, context);
    this.state = {}
  }

  render () {
    return (
      <div ref="editorElem" style={{textAlign: 'left'}}>
      </div>
    );
  }

  componentDidMount () {
    const elem = this.refs.editorElem
    const editor = new E(elem)
    // 使用 onchange 函数监听内容的变化
    editor.customConfig.onchange = this.props.onChange
    editor.create()
    editor.txt.html(this.props.value)
  }
}

export default Wangedit

